<?php


namespace App\ViewModels\Formulario\FormularioListingViewModel;


use App\Utils\Entity;

class FormularioListingViewModel extends Entity
{
    protected $id;
    protected $titulo;
    protected $descricao;
    protected $quantidade_perguntas;
    protected $ativo;

    public static function builder(): FormularioListingViewModelBuilder
    {
        return new FormularioListingViewModelBuilder();
    }

    /**
     * @return int
     */
    public function getId(): int
    {
        return $this->id;
    }

    /**
     * @return string
     */
    public function getTitulo(): string
    {
        return $this->titulo;
    }

    /**
     * @return string
     */
    public function getDescricao(): string
    {
        return $this->descricao;
    }

    /**
     * @return int
     */
    public function getQuantidadePerguntas(): int
    {
        return $this->quantidade_perguntas;
    }

    /**
     * @param int $id
     */
    public function setId(int $id): void
    {
        $this->id = $id;
    }

    /**
     * @param string $titulo
     */
    public function setTitulo(string $titulo): void
    {
        $this->titulo = $titulo;
    }

    /**
     * @param string $descricao
     */
    public function setDescricao(string $descricao): void
    {
        $this->descricao = $descricao;
    }

    /**
     * @param int $quantidade_perguntas
     */
    public function setQuantidadePerguntas(int $quantidade_perguntas): void
    {
        $this->quantidade_perguntas = $quantidade_perguntas;
    }

    public function getAtivo(): int
    {
        return $this->ativo;
    }

    public function setAtivo(int $ativo): void
    {
        $this->ativo = $ativo;
    }


}